package org.dromara.ygpassport.service;

import com.github.yulichang.base.MPJBaseService;
import org.dromara.ygpassport.domain.ForeignLanguageSkill;
import org.dromara.ygpassport.domain.vo.ForeignLanguageSkillVo;
import org.dromara.ygpassport.domain.bo.ForeignLanguageSkillBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 外语能力水平Service接口
 *
 * @author Lion Li
 * @date 2024-01-11
 */
public interface IForeignLanguageSkillService extends MPJBaseService<ForeignLanguageSkill> {

    /**
     * 查询外语能力水平
     */
    ForeignLanguageSkillVo queryById(Long id);

    /**
     * 查询外语能力水平列表
     */
    TableDataInfo<ForeignLanguageSkillVo> queryPageList(ForeignLanguageSkillBo bo, PageQuery pageQuery);

    /**
     * 查询外语能力水平列表
     */
    List<ForeignLanguageSkillVo> queryList(ForeignLanguageSkillBo bo);

    /**
     * 根据学号查询外语能力水平列表
     */
    List<ForeignLanguageSkill> queryListByStuNo(String stuNo);

    /**
     * 新增外语能力水平
     */
    Boolean insertByBo(ForeignLanguageSkillBo bo);

    /**
     * 修改外语能力水平
     */
    Boolean updateByBo(ForeignLanguageSkillBo bo);

    /**
     * 校验并批量删除外语能力水平信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
